### Function

# Qmi message_foreach_raw_tlv

since: 1.0

#### Declaration [src]

    void
    qmi_message_foreach_raw_tlv (
      QmiMessage* self,
      QmiMessageForeachRawTlvFn func,
      gpointer user_data
    )

#### Description [src]

Calls the given function for each TLV found within the `QmiMessage`.

Available since: 1.0

#### Parameters

`self`

  Type: `QmiMessage`

  A `QmiMessage`.

  The data is owned by the caller of the function.

`func`

  Type: `QmiMessageForeachRawTlvFn`

  The function to call for each TLV.

`user_data`

  Type: `gpointer`

  User data to pass to the function.

  The argument can be `NULL`.
  The data is owned by the caller of the function.